Bug 200248 - kate printing page 2 is black
Summary: kate printing page 2 is black
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-15 00:43 UTC by Harald Nikolisin
Modified: 2011-08-07 22:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Nikolisin 2009-07-15 00:43:11 UTC
Version:           3.2.4 (using 4.2.4 (KDE 4.2.4) "release 2", KDE:42 / openSUSE_11.0)
Compiler:          gcc
OS:                Linux (i686) release 2.6.25.20-0.4-pae

I print my public PGP key with kate. In the options tab I selected in

tab "Text Einstellungen" -> "Legende drucken" (print caption/cutline)
tab "Layout" -> "Rahmen drucken" (print frame)

the rest are default settings,
page 1 is ok
page 2 was totally black
Comment 1 Harald Nikolisin 2011-05-08 15:10:07 UTC
hi kwrite team,

the problem still exists under KWrite/KDE 4.6.2

..and it's very easy to reproduce:

1. export an public gpg key to an .asc file
2. print the .asc file with these two settings mentioned in the initial post.

you see that page 2 is completely black!
Comment 2 Dominik Haumann 2011-05-08 17:04:53 UTC
Git commit 83c2af0fd8604c18a1bf799d8a722f8570fd14cd by Dominik Haumann.
Committed on 08/05/2011 at 17:14.
Pushed by dhaumann into branch 'master'.

printing: fix bg color wghen using legend + box

Please test (http://kate-editor.org/get-it/), then we can backport to KDE SC 4.6.
BUG: 200248

M  +0    -2    part/utils/kateprinter.cpp     

http://commits.kde.org/kate/83c2af0fd8604c18a1bf799d8a722f8570fd14cd
Comment 3 Dominik Haumann 2011-05-08 17:06:21 UTC
Hi, this is now fixed by never changing the painter brush (sorry for the delay!).
Would be nice to have confirmation that it works and that it does not introduce any other new printing bugs.
Comment 4 Harald Nikolisin 2011-08-07 22:56:16 UTC
Hi, I tested it with KDE 4.7.0

works perfectly. No regressions are noticed (but also not intensively tested).

thanks